-- mission controller state machine

beginStateMachine()

	onEnter(function(msg)
		-- init available missions
		local skipTutorial = (readConfig("Debug", "skipTutorial") == "true");
		local missions = {"testMission","tutorialMoveIn"};
		
		if (skipTutorial) then
print("starting questor");
			missions = {"questor"};
		else
print("starting tutorial");
		end
			
		storeData("missions", missions);
		
		-- start first mission
		sendDelayedMsgThis("next", 1000);
	end )

	onReturn(function(msg)
		-- start next mission
		sendDelayedMsgThis("next", 3000);
	end )
	

	onMsg("next", function(msg)
		-- mission complete: choose next mission
		print("Mission complete");
		
		local missions = retrieveData("missions");
		if getn(missions) > 0 then
			local m = missions[1];
			tremove(missions, 1);
			storeData("missions", missions);
			
			print("Starting next mission: "..m)
			enterStateMachine(m);
		end
	end )
	
endStateMachine()
